import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MatButtonModule } from '@angular/material/button';
import { MatMenuModule } from '@angular/material/menu';
import { UserService } from '../../services/user-service';
import { MatTabsModule } from '@angular/material/tabs'; 
import { RouterLink } from '@angular/router';
import { MatTabNav } from '@angular/material/tabs';

@Component({
  selector: 'app-book-menu',
  standalone: true,
  imports: [RouterModule, MatButtonModule, MatMenuModule,MatTabsModule,RouterLink,MatTabNav],
  templateUrl: './user-menu.component.html',
  styleUrl: './user-menu.component.css'
})

export class UserMenuComponent {

  private service : UserService;
  public userconnecte : String | undefined;
  public route : String | undefined;


  public constructor(us: UserService) {
    this.service = us
    this.reloadPseudo()
  }

  public reloadPseudo(){
    let name = this.service.getItemUserConnecte();

    if (typeof name === "string" && name !="undefined"){
      this.userconnecte = name

      // let id : number | undefined = this.service.getIdByUser(name)
      // if(id == undefined) return
      // this.route = "/user/" + id

    } else {
      this.userconnecte = "Connexion";
      this.route = "/user/0";
    }
  }

  public removePseudo(){
    localStorage.clear();
    this.userconnecte = "Connexion";      
  }

}
